Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


[plugin] pente polaire ou pourcentage Empty
Ton bloc notes
Derniers sujets
» [ SKETCHUP tutos ] SUPPRIMER le LOGO (filigrane) ajouté par 3D Warehouse
par jerryvento Ven 12 Aoû 2022 - 11:22

» [AUTRES LOGICIELS] MagicaVoxel!
par Pilou Ven 12 Aoû 2022 - 1:20

» [ SKETCHUP tutos ] 3D Warehouse pour Sketchup 2017
par jerryvento Jeu 11 Aoû 2022 - 11:45

» [ CHAINE TWITCH ] les replay de mes live sur Twitch
par tenrev Jeu 11 Aoû 2022 - 8:54

» [ CHAINE TWITCH ] Nouveau live ce jour 10 aout 2022 à 15h
par tenrev Mer 10 Aoû 2022 - 13:12

» [ PRESENTATION ] Archigilles
par tenrev Mar 9 Aoû 2022 - 23:06

» [ CHAINE TWITCH ] première diffusion en live
par simjoubert Lun 8 Aoû 2022 - 18:43

» [ SKETCHUP plugins ] sj_AddDCAttribut création d'attribut sur une sélection d'instances de composants
par simjoubert Lun 8 Aoû 2022 - 0:18

» [ ARCHICAD-OBJETS GDL ] Bardage bois horizontal à tester / Accessoire de mur
par Benjamin.Chvn Ven 5 Aoû 2022 - 11:42

» [ SKETCHUP plugins ] Didier Bur revient dans la course!
par JDD Jeu 4 Aoû 2022 - 17:53

» [ le forum] inserer vos vidéos youtube sur le forum avec quelques paramètres
par tenrev Jeu 4 Aoû 2022 - 15:15

» [ SKETCHUP généralité ] Animation SketchUp 2017
par jerryvento Mar 2 Aoû 2022 - 13:07

» [ SKETCHUP tutos ] ASTUCE Faire apparaître les Ouvertures dans un mur entre 2 scènes
par jerryvento Mar 2 Aoû 2022 - 11:19

» [ BLENDER ] BagaPie modifier V7 et BagaPie Assets V3
par JDD Dim 31 Juil 2022 - 16:08

» [ SKETCHUP généralité ] Chaine twitch sketchup.tv
par tenrev Dim 31 Juil 2022 - 11:45

» [ ARCHICAD ] Encadrements de fenêtres
par Nùmenor Ven 29 Juil 2022 - 9:53

» [ ARCHICAD ] Archicad 26
par VertiKal Jeu 28 Juil 2022 - 17:29

» [ ARTLANTIS ] Ajouter des objets
par AK40Cess Jeu 28 Juil 2022 - 12:28

» [ PRESENTATION ] Bonjour a tous
par Coulou Jeu 28 Juil 2022 - 9:16

» [ SKETCHUP tutos ] de sketchup vers un catalogue Indesign
par tenrev Mer 27 Juil 2022 - 14:57

» [ ARCHICAD ] Détail de baie en coupe (retour bardage linteau et appui)
par nono.lerat Mer 27 Juil 2022 - 14:05

» [ WIP ] Extension par surélévation
par VertiKal Mer 27 Juil 2022 - 7:17

» [Chaine Twitch] fil pour poster vos souhaits de programmes à venir sur la chaine
par simjoubert Mar 26 Juil 2022 - 21:54

» [ TEXTURES ET SHADERS ] six ensembles de texture de parallaxe gratuites qui peuvent être utilisées pour créer instantanément de faux intérieurs 3D pour des bâtiments 3D
par tenrev Mar 26 Juil 2022 - 13:57

» [ARCHICAD] Infos - Cours - Liens
par Coulou Mar 26 Juil 2022 - 10:53

» [ SKETCHUP plugins ] SJ Batch Export Scenes To Thumbnails
par simjoubert Lun 25 Juil 2022 - 19:19

» [ SKETCHUP plugins ] SJ Components To Scenes - Isoler une copie d'un composant dans une scène dédiée
par simjoubert Lun 25 Juil 2022 - 19:13

» [ BLENDER ] Buildify - Un générateur de Building Gratuit
par Samuel Tallet Ven 22 Juil 2022 - 22:09

» [ ARCHICAD ] OUtil pour gestion des priorité des surfaces ??
par Coulou Ven 22 Juil 2022 - 10:17

» [ AUTRES LOGICIELS ] Technologie SDF sortie! MagicaCSG!
par Pilou Jeu 21 Juil 2022 - 21:43

» [ ARCHICAD ] Renseignement finition (sol, mur, plafond) zone
par Fred0079 Mer 20 Juil 2022 - 18:08

» [ SKETCHUP généralité ] Vectorisation Image
par tenrev Mer 20 Juil 2022 - 8:59

» [ SKETCHUP généralité ] Transférer Skechup sur un nouveau PC
par luluvava Dim 17 Juil 2022 - 22:38

» [ SKETCHUP généralité ] AR sur les modéles de 3dwarehouse
par tenrev Mer 13 Juil 2022 - 13:31

» [ ARCHICAD-OBJETS GDL ] Accessoire de mur pour AC23 - permet de réaliser des bardages bois
par AK40Cess Mer 13 Juil 2022 - 6:28

Sondage

Chaine Twitch

[plugin] pente polaire ou pourcentage Poll_c1017%[plugin] pente polaire ou pourcentage Poll_c10 17% [ 5 ]
[plugin] pente polaire ou pourcentage Poll_c1014%[plugin] pente polaire ou pourcentage Poll_c10 14% [ 4 ]
[plugin] pente polaire ou pourcentage Poll_c103%[plugin] pente polaire ou pourcentage Poll_c10 3% [ 1 ]
[plugin] pente polaire ou pourcentage Poll_c1010%[plugin] pente polaire ou pourcentage Poll_c10 10% [ 3 ]
[plugin] pente polaire ou pourcentage Poll_c107%[plugin] pente polaire ou pourcentage Poll_c10 7% [ 2 ]
[plugin] pente polaire ou pourcentage Poll_c1010%[plugin] pente polaire ou pourcentage Poll_c10 10% [ 3 ]
[plugin] pente polaire ou pourcentage Poll_c1031%[plugin] pente polaire ou pourcentage Poll_c10 31% [ 9 ]
[plugin] pente polaire ou pourcentage Poll_c107%[plugin] pente polaire ou pourcentage Poll_c10 7% [ 2 ]

Total des votes : 29

chaine sketchup.tv

[plugin] pente polaire ou pourcentage

Voir le sujet précédent Voir le sujet suivant Aller en bas

avatar
nazemrap
Timide
Timide
Masculin Date d'inscription : 26/02/2010
Nombre de messages : 32
Points : 48
http://technaulogis.fr

Messagenazemrap Dim 6 Mar 2011 - 9:41

Bonjour,

Sur un autre forum, j'ai tenté de faire une commande permettant de saisir des lignes en donnant
longueur< angle ou bien longueur< coefficient%
C'est plus ou moins bien réussi, mais je vous la soumets en test, cela peut intéresser certains, et je sais qu'il y a ici un "scripteur" qui pourra me donner un avis sur les problèmes.

video démo et téléchargement, lire avant d'utiliser


-------------------------------------------------------------------------------------------------------------------------
AD'TAL HEURE
Cordialement yvon
avatar
jojo2
modérateur
modérateur
Date d'inscription : 14/11/2009
Nombre de messages : 135
Points : 170

Messagejojo2 Sam 12 Mar 2011 - 15:20

Salut,

A première vue, ton problème semble résolvable.
Sauf que je n'ai pas bien compris à quoi peut servir de gérer une pente 2D dans un espace 3D.

Je viens de me connecter à ton site mais le script que tu laisses est en rbs. Je ne peux donc le lire et t'aider pour ton problème.

Envoie-moi le rb si tu veux que je t'aide.

++
avatar
nazemrap
Timide
Timide
Masculin Date d'inscription : 26/02/2010
Nombre de messages : 32
Points : 48
http://technaulogis.fr

Messagenazemrap Sam 12 Mar 2011 - 19:10

Bonjour,

Merci tout d'abord.
Je pensais trouver une solution mais ce n'est pas le cas.

A quoi cela sert ?
Je ne sais pas, j'ai simplement voulu répondre à quelqu'un qui exprimait ce besoin, juste pour pouvoir me confronter à cela.

J'ai rajouté le fichier.rb au même endroit.

PS:je n'ai pas trouvé comment insérer un fichier joint ici.

-------------------------------------------------------------------------------------------------------------------------
AD'TAL HEURE
Cordialement yvon
avatar
jojo2
modérateur
modérateur
Date d'inscription : 14/11/2009
Nombre de messages : 135
Points : 170

Messagejojo2 Sam 12 Mar 2011 - 22:28

Re,

Va pour l'exercice de style, alors! rigole

Evidemment, comme tu t'en doutes, tout se passe dans la définition "onUserText".

Je pense que tu préfèreras corriger toi-même ton script alors je te fais 3 remarques pour te guider:

a) la commande "begin, rescue, end" est une commande à rattrapage d'erreur.
cad: on écrit
Code:
begin
  commandes normales du script
  test quelconque
  si le test est ok, on continue
  commandes normales du script
  re-test quelconque
  si le re-test est ok, on continue
  etc...
rescue
  ici les commandes en cas d'erreur du test ou du re-test
end  # fin du begin
Comme tu as écrit tes commandes dans la partie rescue, tu as forcément l'erreur de ne pouvoir transformer en length (Console Ruby).

b) le positionnement:
Code:
if @ip1.position.x!=0 and @ip1.position.y!=0
vec = Geom::Vector3d.new a,b,0
end
if @ip1.position.x!=0 and @ip1.position.z!=0
vec = Geom::Vector3d.new a,0,b
end
if @ip1.position.y!=0 and @ip1.position.z!=0
vec = Geom::Vector3d.new 0,a,b
end
if @ip1.position.x!=0 and @ip1.position.y!=0 and @ip1.position.z!=0
vec = Geom::Vector3d.new 0,a,b
end
Comme tu travailles en 2D, tu es obligé de gérer les axes.
Vu comment tu as écrit ton code, il t'est interdit de commencer le traçage d'une ligne sur un des axes => erreur de création de "vec".
Il serait peut-être plus judicieux de forcer la vue sur face ou top ainsi que l'affichage en "projection parallèle" et éliminer toutes ces lignes de positionnement devenues inutiles.

c) la gestion de la valeur VCB:
La commande split est bien utilisée.
Mais tu peux fortement simplifier le décodage du % dans le style :
Code:
degres = (casse[1].to_i.modulo(800) * 0.45).to_f

Tu peux aussi gérer l'absence du "<" en suivant le fonctionnement normal du linetool.rb.

Voili, voilou, je reste à ta disposition si mes explications ne sont pas assez claires.

++
avatar
nazemrap
Timide
Timide
Masculin Date d'inscription : 26/02/2010
Nombre de messages : 32
Points : 48
http://technaulogis.fr

Messagenazemrap Dim 13 Mar 2011 - 8:44

Bonjour,

C'est vraiment "sympa" de t'intéresser à mon cas (d'école puisque non indispensable).
Je regarde de plus près en tenant compte de tes remarques et je tente de les mettre en application.
Je me permettrai d'abuser encore un peu pour refaire le point après...

A plus.

yvon

-------------------------------------------------------------------------------------------------------------------------
AD'TAL HEURE
Cordialement yvon

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum